<?php
/**
  @licence GPL 2005-2010  The osCSS developers - osCSS Open Source E-commerce
  @portion code Copyright (c) 2002 osCommerce
  @package osCSS-2 <www http://www.oscss.org>
  @version 2.1.0
  @date  24/10/10, 17:57
  @author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
  @encode UTF-8

  Gestion du cache des librairie et et class du core chargée pour toutes les pages
*/
  global $rpa;
  $file=array();

  $file[]=$rpa.DIR_WS_FUNCTIONS . 'html_output.php';
/// define how the session functions will be used
  $file[]=$rpa.DIR_WS_FUNCTIONS . 'sessions.php';

  $file[]=DIR_FS_ADMIN.DIR_WS_CLASSES . 'oscss_cstr.php';
  $file[]=DIR_FS_CATALOG.DIR_WS_COMMON_CLASSES . 'osCSS_Cache.php';
  $file[]=DIR_FS_ADMIN.DIR_WS_CLASSES . 'navigationHistory.php';
  $file[]=DIR_FS_CATALOG.DIR_WS_COMMON_CLASSES . 'language.php';
  $file[]=DIR_FS_CATALOG.DIR_WS_COMMON_CLASSES . 'price.php';
  $file[]=DIR_FS_CATALOG.DIR_WS_COMMON_CLASSES . 'image_ratio.php';
  $file[]=DIR_FS_ADMIN.DIR_WS_CLASSES . 'osCSS_messageStack.php';
  $file[]=DIR_FS_ADMIN.DIR_WS_CLASSES . 'splitPageResults.php';
  $file[]=DIR_FS_ADMIN.DIR_WS_CLASSES . 'tableBlock.php';

  $file[]=$rpa.DIR_WS_CLASSES.'aca.php';
  $file[]=$rpa.DIR_WS_CLASSES.'aca.generic.php';

  $file[]=DIR_FS_ADMIN.DIR_WS_CLASSES . 'fileUtility.php';

  require_once(DIR_FS_CATALOG.DIR_WS_COMMON_CLASSES.'osCSS_CacheLib.php');

  if(OSCSS_DEBUG == false){
    if (CacheLib::read('BO_core_lib-'.md5(__FILE__)) === false) {
      CacheLib::addfiles($file);
    }
    include(CacheLib::getfilecache());
  }
  else {
    foreach($file as $item)
      include_once($item);
  }
  unset($file);
?>